About iMochaHelpBook a demo
About iMochaHelpBook a demo
  1. Tara Interview API
  • Introduction
  • Skills Assessment API
    • API Reference
      • Getting started
      • API Environment
      • Authentication Mechanism
      • Error Code
      • List timezones
    • Test
      • List all tests
      • Retrieve a test
      • Retrieve test settings
      • Update Test Settings
    • Test Invitations
      • Callback notification
      • Invite candidate
      • Invite candidate by test link
      • Bulk Invite
      • Reattempt Test
      • Cancel Invitation
    • Test Link
      • List all test links
      • Create Test Link
      • Update Test Link
    • Report
      • Retrieve candidate test report
      • Retrieve candidate test report in PDF
      • Get Reports By TestId
      • Get All Reports
    • Callback API
      • Process Callbacks
      • Retrieve Invites
    • GDPR
      • GDPR Data Masking Service
    • Users
      • Get all business units
      • Create New User
      • Update User
      • Active/ Inactive User
    • Tara Interview API
      • Introduction
      • Get All Interviews
        GET
      • Schedule Interview
        POST
      • Get Detailed Report
        GET
      • Get All Reports
        GET
  • Skills Intelligence API
    • Introduction
    • Authentication
    • Employee
      • List employees
      • Get Employee Skills by employeeId
      • Employee Enrollment
      • Get Employee Certificates
      • Update Employee Status
      • Get Employee Assessment Report
      • Upload Certificate for Employee
      • Upload Resume for Employee
      • List Employees with Skills Profile
      • Assign Learning to Employee
      • Get Employee Skill Gap
    • JobProfiles
      • Get All JobProfiles
      • Get JobProfile with Skills By JobProfileId
      • Create JobCode
    • Taxonomy
      • Get all Taxonomy Skills
    • CareerPath
      • Get Employee Career Path by employeeId
    • Account
      • Get Rubric Levels
      • Get Multichannel Validation Weightages
    • Learning
      • Create Learning Resources
      • Get all Learning Resources
    • Certificates
      • Create certificate with skills
      • Get all Certificates
  1. Tara Interview API

Get All Reports

GET
/v3/tara/interviews/reports
Retrieve all candidate interview reports for a specific interview. This API returns candidate details, interview status, report status, invitation ID, and interview completion information.

Request

Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://apiv3.imocha.io/v3/tara/interviews/reports?InterviewId=undefined' \
--header 'x-api-key;'
Response Response Example
{
  "data": [
    {
      "candidateName": "Michael Anderson",
      "candidateEmail": "[email protected]",
      "interviewName": "Senior Java Developer Interview",
      "interviewId": 90,
      "interviewInvitationId": 1016,
      "interviewDate": "2026-05-20T10:15:30Z",
      "interviewStatus": "IN_PROGRESS",
      "reportStatus": "PENDING"
    },
    {
      "candidateName": "Sophia Williams",
      "candidateEmail": "[email protected]",
      "interviewName": "Senior Java Developer Interview",
      "interviewId": 90,
      "interviewInvitationId": 1013,
      "interviewDate": "2026-05-18T14:45:10Z",
      "interviewStatus": "COMPLETED",
      "reportStatus": "REPORT_GENERATED"
    },
    {
      "candidateName": "Daniel Carter",
      "candidateEmail": "[email protected]",
      "interviewName": "Senior Java Developer Interview",
      "interviewId": 90,
      "interviewInvitationId": 1011,
      "interviewDate": "2026-05-16T09:20:00Z",
      "interviewStatus": "PENDING",
      "reportStatus": "PENDING"
    }
  ],
  "totalRecords": 3
}
Modified at 2026-05-29 06:03:12
Previous
Get Detailed Report
Next
Introduction
Built with